{% extends "base.html" %}
{% load staticfiles %}

{% block title %}
    我的动态
{% endblock title %}

{% block content %}
<div class="container">

    <!-- 没有notice类的前提下，采用罗列+翻页，可以看到界面的样子，如果翻页设置麻烦，可以采用循环，直接展示内容
         {% for notice in notices %}
          <li class="list-group-item">
                    <a href="#">
                        {dowhat }
                            <span style="color: #5897fb;">{target}</span> 
                        </a>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;{ notice.timestamp|date:"Y/m/d H:i"}
                    </a>
                </li>
            {% endfor %}
    -->
    <!-- 通知列表 -->
    <div class="row mt-2 ml-4 offset-3">
        <ul class="list-group">

                <li class="list-group-item">
                    <a href="#">
                        <span style="color: #080808;"> {dowhat(收藏了，点赞了，评论了) }</span> 
                            <span style="color: #5897fb;">{target文章，问题，回答}</span> 
                        </a>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;{ notice.timestamp|date:"Y/m/d H:i"}
                    </a>
                </li>
           
                <li class="list-group-item">
                    <a href="#">
                        <span style="color: #080808;"> {dowhat }</span> 
                            <span style="color: #5897fb;">{target}</span> 
                        </a>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;{ notice.timestamp|date:"Y/m/d H:i"}
                    </a>
                </li>

                <li class="list-group-item">
                    <a href="#">
                        <span style="color: #080808;"> {dowhat }</span> 
                            <span style="color: #5897fb;">{target}</span> 
                        </a>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;{ notice.timestamp|date:"Y/m/d H:i"}
                    </a>
                </li>
           
                <li class="list-group-item">
                    <a href="#">
                        <span style="color: #080808;"> {dowhat }</span> 
                            <span style="color: #5897fb;">{target}</span> 
                        </a>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;{ notice.timestamp|date:"Y/m/d H:i"}
                    </a>
                </li>

                <li class="list-group-item">
                    <a href="#">
                        <span style="color: #080808;"> {dowhat }</span> 
                            <span style="color: #5897fb;">{target}</span> 
                        </a>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;{ notice.timestamp|date:"Y/m/d H:i"}
                    </a>
                </li>
        </ul>
    </div>
</div>
<div class="container">
    <div class="row offset-4">
            <a href="https://www.bilibili.com/"><button type="button" class="btn btn-primary btn-sm mr-auto">上一页</button></a>
            第{页数}页
            <a href="https://www.bilibili.com/"><button type="button" class="btn btn-primary btn-sm mr-auto">下一页</button></a>
    </div>
</div>
<style>
    #notice_link a:link {
        color: black;
    }

    #notice_link a:visited {
        color: lightgrey;
    }
</style>
{% endblock content %}